# Parameters

## `contact_flds_separator` (string)

First char of this parameter is used as a separator for encoding/decoding Contact headers. If you set this parameter to "-", then an encoded URI will look like "sip:user-password-ip-port-protocol@PublicIP"

The first character of this field must be set to a value which is not used inside username, password or other fields of contact. Otherwise it is possible for the decoding step to fail/produce wrong results.

Default value is "*".

### Set `db_url` parameter

    ...
    modparam("mangler", "contact_flds_separator", "-")
    ...